Subject: bug#23830: 25.0.94; Emacs eats left Windows key on Windows 7

From: Richard Copley <[email-masked]>
Date: Wed, 22 Jun 2016 20:33:34 +0100

On 22 June 2016 at 19:45, Eli Zaretskii <[email-masked]> wrote:
>> From: Richard Copley <[email-masked]>
>> Date: Wed, 22 Jun 2016 19:22:01 +0100
>>
>> In recent builds of the emacs-25 branch, when an Emacs frame is in the
>> foreground, it intercepts the left Windows key (and the windowing
>> system does not react to the key event).
>>
>> My two most recent emacs-25 builds are from revisions:
>>   ab182c624868fcc0ed97597db669911099d4bd28 (commit time 2016-06-12
>> 17:33:52 UTC),
>>   788c9b69e1801dd883dbe603281571ef3c78a724 (commit time 2016-05-31
>> 06:17:55 UTC).
>> The bug is present in the 2016-06-12 build and absent in the 2016-05-31 build.

> These two commits are not on the emacs-25 branch.

Sorry for the confusion.
I don't want to jump to conclusions but assuming you're right then I
must have built from master and forgotten about it.

Is it possible you're only half right and that one of those two
commits is on emacs-25 and the other is not?
I ask because I get the following values inside the two builds:

(emacs-version) "GNU Emacs 25.0.94.1 (x86_64-w64-mingw32)
 of 2016-05-31"
emacs-repository-version "788c9b69e1801dd883dbe603281571ef3c78a724"

resp.

(emacs-version) "GNU Emacs 25.1.50.1 (x86_64-w64-mingw32)
 of 2016-06-13"
emacs-repository-version "ab182c624868fcc0ed97597db669911099d4bd28"

Can you please tell me how to verify whether a commit is on a branch
for myself (so I'm less likely to make mistakes like this in the
future)?
What I did is this:
  (in Git CMD in repository root): git checkout emacs-25 && git pull
  (in Emacs in repository root): C-x v L ;; vc-print-root-log
then searched for and found both commits' checksums.
The root log starts (HEAD -> emacs-25, origin/master, origin/HEAD,
master). Maybe it's actually a combined log. I'm more familiar with
Subversion and perhaps I made unwarranted assumptions about Git's log.

>> To reproduce:
>>
>> Run emacs -Q.
>> Make sure the Emacs frame is the active foreground window.
>> Press the left Windows key.
>> Expected result: the start menu opens (depends on users's settings).
>> Actual result: Emacs receives the keypress instead (this can be verified
>> by typing [C-h k lwindow]).
>>
>> In GNU Emacs 25.1.50.1 (x86_64-w64-mingw32)
>>  of 2016-06-13 built on [redacted]
>
> This is not the emacs-25 branch, this is master.  Could you please
> clarify this confusion?

I can try, but the main thing I have learned is that I am indeed confused.

> The keyboard handling on Windows was changed on master in February, so
> I don't see how some change in the beginning of June could have done
> anything about that.  I'm probably missing something.

I'm not sure but it seems likely the earlier build is emacs-25 and the
later is master, which one might find explains that.